org.jbpm.ruleflow.core.factory

## Class BoundaryEventNodeFactory<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>

- java.lang.Object
- - org.jbpm.ruleflow.core.factory.NodeFactory<org.kie.api.fluent.BoundaryEventNodeBuilder<T>,T>
  - - org.jbpm.ruleflow.core.factory.BoundaryEventNodeFactory<T>

- All Implemented Interfaces:
    org.kie.api.fluent.BoundaryEventNodeBuilder<T>, org.kie.api.fluent.NodeBuilder<org.kie.api.fluent.BoundaryEventNodeBuilder<T>,T>

      public class BoundaryEventNodeFactory<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>
      extends NodeFactory<org.kie.api.fluent.BoundaryEventNodeBuilder<T>,T>
      implements org.kie.api.fluent.BoundaryEventNodeBuilder<T>

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `node, nodeContainer, nodeContainerFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoundaryEventNodeFactory(T nodeContainerFactory, NodeContainer nodeContainer, long id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BoundaryEventNodeFactory<T>` | `attachedTo(long attachedToId)`
    `BoundaryEventNodeFactory<T>` | `cancelActivity(boolean cancelActivity)`
    `BoundaryEventNodeFactory<T>` | `eventFilter(EventFilter eventFilter)`
    `BoundaryEventNodeFactory<T>` | `eventTransformer(EventTransformer transformer)`
    `org.kie.api.fluent.BoundaryEventNodeBuilder<T>` | `eventTransformer(UnaryOperator<Object> function)`
    `BoundaryEventNodeFactory<T>` | `eventType(String eventType)`
    `BoundaryEventNodeFactory<T>` | `eventType(String eventTypePrefix, String eventTypeSurffix)`
    `protected BoundaryEventNode` | `getBoundaryEventNode()`
    `BoundaryEventNodeFactory<T>` | `scope(String scope)`
    `BoundaryEventNodeFactory<T>` | `timeCycle(String timeCycle)`
    `org.kie.api.fluent.BoundaryEventNodeBuilder<T>` | `timeCycle(String timeCycle, org.kie.api.fluent.Dialect dialect)`
    `BoundaryEventNodeFactory<T>` | `timeCycle(String timeCycle, String language)`
    `BoundaryEventNodeFactory<T>` | `timeDuration(String timeDuration)`
    `BoundaryEventNodeFactory<T>` | `variableName(String variableName)`

    - ### Methods inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `done, getNode, name, setId, setMetadata`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.fluent.NodeBuilder

      `done, name, setMetadata`

- - ### Constructor Detail

    - #### BoundaryEventNodeFactory

          public BoundaryEventNodeFactory(T nodeContainerFactory,
                                          NodeContainer nodeContainer,
                                          long id)

  - ### Method Detail

    - #### attachedTo

          public BoundaryEventNodeFactory<T> attachedTo(long attachedToId)

      Specified by:
        `attachedTo` in interface `org.kie.api.fluent.BoundaryEventNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`

    - #### getBoundaryEventNode

          protected BoundaryEventNode getBoundaryEventNode()

    - #### variableName

          public BoundaryEventNodeFactory<T> variableName(String variableName)

    - #### eventFilter

          public BoundaryEventNodeFactory<T> eventFilter(EventFilter eventFilter)

    - #### eventType

          public BoundaryEventNodeFactory<T> eventType(String eventType)

    - #### eventType

          public BoundaryEventNodeFactory<T> eventType(String eventTypePrefix,
                                                       String eventTypeSurffix)

      Specified by:
        `eventType` in interface `org.kie.api.fluent.BoundaryEventNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`

    - #### timeCycle

          public BoundaryEventNodeFactory<T> timeCycle(String timeCycle)

      Specified by:
        `timeCycle` in interface `org.kie.api.fluent.BoundaryEventNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`

    - #### timeCycle

          public BoundaryEventNodeFactory<T> timeCycle(String timeCycle,
                                                       String language)

    - #### timeDuration

          public BoundaryEventNodeFactory<T> timeDuration(String timeDuration)

      Specified by:
        `timeDuration` in interface `org.kie.api.fluent.BoundaryEventNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`

    - #### cancelActivity

          public BoundaryEventNodeFactory<T> cancelActivity(boolean cancelActivity)

      Specified by:
        `cancelActivity` in interface `org.kie.api.fluent.BoundaryEventNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`

    - #### eventTransformer

          public BoundaryEventNodeFactory<T> eventTransformer(EventTransformer transformer)

    - #### scope

          public BoundaryEventNodeFactory<T> scope(String scope)

    - #### timeCycle

          public org.kie.api.fluent.BoundaryEventNodeBuilder<T> timeCycle(String timeCycle,
                                                                          org.kie.api.fluent.Dialect dialect)

      Specified by:
        `timeCycle` in interface `org.kie.api.fluent.BoundaryEventNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`

    - #### eventTransformer

          public org.kie.api.fluent.BoundaryEventNodeBuilder<T> eventTransformer(UnaryOperator<Object> function)

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.